From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/lilv/
Date: Tue, 13 Oct 2015 08:51:15 +0000 (UTC) [thread overview]
Message-ID: <1444726173.49d0f87fdc86188a64d3221d5e4f5fd3c2a859ff.aballier@gentoo> (raw)
commit: 49d0f87fdc86188a64d3221d5e4f5fd3c2a859ff
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 13 08:49:33 2015 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Oct 13 08:49:33 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49d0f87f
media-libs/lilv: Bump to 0.22.0
Package-Manager: portage-2.2.23
media-libs/lilv/Manifest | 1 +
media-libs/lilv/lilv-0.22.0.ebuild | 53 ++++++++++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/media-libs/lilv/Manifest b/media-libs/lilv/Manifest
index 54e92e2..a393ccf 100644
--- a/media-libs/lilv/Manifest
+++ b/media-libs/lilv/Manifest
@@ -1,2 +1,3 @@
DIST lilv-0.18.0.tar.bz2 201334 SHA256 55995dd966df233337d80ff59c7b2a7ed0df56e82ec06d179feb518f00733ccd SHA512 a4892446220f642fb555eed39ce50a8235546c4415e979fe7f54acdc89fca6e437632b714e179806f3cbb80c81c0988978b8e1bcaa904c5e23ca789f6cb39206 WHIRLPOOL b36bbf7ce471e5cac4da7cb3fee3eea59dc85d494f745aec1a2fd8cc34289bd24c4c77302ea2613292847a65c4d84440b1a4780b4f45b6fac9585ceb005716ad
DIST lilv-0.20.0.tar.bz2 207948 SHA256 428a39f1265d44c55f2604829a12ade0ea13e1a1022ff937ca2a9ad227bd422a SHA512 bbc8b9154339cd145a61c5e4613fd31a2e457df8242c55371f3245564d3b23d028a0bc0ffafac393119bb47171b7c735f0c3a55cf5bffc6920ae89aa877240e5 WHIRLPOOL 1e71e553f1b969d40042633c9eb63b96ef1f9d72d8087326414f840ffe8ee38094f63cabf0efc57dece04471e7d4897140fbb886bad21f11a6282d420530d51c
+DIST lilv-0.22.0.tar.bz2 217207 SHA256 cd279321223ef11ca01551767d3c16d68cb31f689e02320a0b2e37b4f7d17ab4 SHA512 6c2827c1658437bd00f66f81d87c55c9dc26b575dd42f6dcce04c58f4a924fd6fa1499730f1b5ab4703d0537d722e6fd0d841fce065660b37540d257cf13024a WHIRLPOOL acc86bef9e3e2b1153aefa5c0c15f57594c898c43be9eb9e77219eacb57baf9dc284da1fe7990b79c7627c26f624ee3a8d369963f59f8635a32112d2a7417558
diff --git a/media-libs/lilv/lilv-0.22.0.ebuild b/media-libs/lilv/lilv-0.22.0.ebuild
new file mode 100644
index 0000000..da5a8e7
--- /dev/null
+++ b/media-libs/lilv/lilv-0.22.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_REQ_USE='threads(+)'
+
+inherit base python-any-r1 waf-utils bash-completion-r1
+
+DESCRIPTION="Library to make the use of LV2 plugins as simple as possible for applications"
+HOMEPAGE="http://drobilla.net/software/lilv/"
+SRC_URI="http://download.drobilla.net/${P}.tar.bz2"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc +dyn-manifest static-libs test"
+
+RDEPEND="media-libs/lv2
+ >=media-libs/sratom-0.4.0
+ >=dev-libs/serd-0.14.0
+ >=dev-libs/sord-0.13.0"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ doc? ( app-doc/doxygen )
+ virtual/pkgconfig"
+
+DOCS=( "AUTHORS" "NEWS" "README" )
+
+src_prepare() {
+ sed -i -e 's/^.*run_ldconfig/#\0/' wscript || die
+}
+
+src_configure() {
+ waf-utils_src_configure \
+ --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+ --no-bash-completion \
+ $(use test && echo "--test") \
+ $(use doc && echo "--docs") \
+ $(use static-libs && echo "--static") \
+ $(use dyn-manifest && echo "--dyn-manifest")
+}
+
+src_test() {
+ ./waf test || die
+}
+
+src_install() {
+ waf-utils_src_install
+ newbashcomp utils/lilv.bash_completion ${PN}
+}
next reply other threads:[~2015-10-13 8:51 UTC|newest]
Thread overview: 139+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-13 8:51 Alexis Ballier [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-22 12:18 [gentoo-commits] repo/gentoo:master commit in: media-libs/lilv/ Miroslav Šulc
2025-02-22 8:31 Arthur Zamarin
2025-02-22 8:31 Arthur Zamarin
2025-02-21 19:59 Arthur Zamarin
2025-02-21 19:52 Arthur Zamarin
2025-02-21 19:52 Arthur Zamarin
2025-02-21 19:52 Arthur Zamarin
2025-01-21 7:50 Miroslav Šulc
2024-10-07 2:52 Sam James
2024-03-04 10:38 Miroslav Šulc
2024-03-03 2:27 Sam James
2024-03-02 20:41 Sam James
2024-02-24 10:07 Sam James
2024-02-24 7:08 Sam James
2024-02-23 17:42 Sam James
2024-02-23 17:33 Sam James
2024-01-24 9:34 Miroslav Šulc
2024-01-05 10:45 Miroslav Šulc
2024-01-04 18:11 Arthur Zamarin
2024-01-03 21:49 Sam James
2024-01-03 21:49 Sam James
2024-01-03 21:49 Sam James
2024-01-03 21:49 Sam James
2024-01-03 21:49 Sam James
2023-10-28 0:52 Sam James
2023-10-24 18:26 Miroslav Šulc
2023-05-04 11:21 Sam James
2023-03-03 6:28 Viorel Munteanu
2023-01-27 1:25 Sam James
2023-01-22 8:07 Sam James
2023-01-22 8:07 Sam James
2022-11-04 7:22 Miroslav Šulc
2022-11-03 8:08 Agostino Sarubbo
2022-11-02 20:07 Sam James
2022-11-02 10:57 Arthur Zamarin
2022-11-02 8:44 Arthur Zamarin
2022-11-02 8:30 Arthur Zamarin
2022-11-02 7:52 Arthur Zamarin
2022-10-19 10:07 WANG Xuerui
2022-10-02 8:17 Miroslav Šulc
2022-10-02 7:29 Miroslav Šulc
2022-09-28 6:28 Miroslav Šulc
2022-09-28 4:35 Miroslav Šulc
2022-09-27 7:07 Agostino Sarubbo
2022-09-27 6:07 Jakov Smolić
2022-09-27 6:05 Jakov Smolić
2022-09-27 6:05 Jakov Smolić
2022-09-27 6:02 Jakov Smolić
2022-09-27 6:02 Jakov Smolić
2022-09-27 6:00 Arthur Zamarin
2022-08-27 11:17 Sam James
2022-08-27 11:17 Sam James
2022-08-15 5:53 Miroslav Šulc
2022-07-31 7:50 Miroslav Šulc
2022-06-29 18:15 Miroslav Šulc
2022-06-29 7:56 Agostino Sarubbo
2022-06-29 7:55 Agostino Sarubbo
2022-06-29 7:54 Agostino Sarubbo
2022-06-29 7:54 Agostino Sarubbo
2022-06-29 7:53 Agostino Sarubbo
2022-06-29 7:52 Agostino Sarubbo
2022-05-29 6:49 Miroslav Šulc
2021-12-18 11:58 Miroslav Šulc
2021-08-24 21:02 Marek Szuba
2021-07-05 11:16 Michał Górny
2021-05-16 18:09 Miroslav Šulc
2021-05-16 12:45 Sam James
2021-05-16 0:13 Sam James
2021-03-26 7:50 Agostino Sarubbo
2021-03-26 7:45 Agostino Sarubbo
2021-03-21 9:45 Sergei Trofimovich
2021-03-21 9:45 Sergei Trofimovich
2021-03-13 13:17 Miroslav Šulc
2021-01-08 13:21 Miroslav Šulc
2021-01-08 13:05 Miroslav Šulc
2020-12-27 10:42 Miroslav Šulc
2020-11-18 8:55 Miroslav Šulc
2020-11-18 6:53 Agostino Sarubbo
2020-11-12 7:45 Sergei Trofimovich
2020-11-12 7:41 Sergei Trofimovich
2020-11-12 0:35 Thomas Deutschmann
2020-11-09 22:09 Sam James
2020-11-09 22:09 Sam James
2020-10-09 12:16 Miroslav Šulc
2020-10-09 12:09 Miroslav Šulc
2020-10-06 14:23 Sam James
2020-10-01 23:06 Sergei Trofimovich
2020-10-01 22:55 Sergei Trofimovich
2020-09-30 2:23 Sam James
2020-08-03 5:00 Miroslav Šulc
2020-08-02 18:35 Sven Wegener
2020-07-06 8:40 Lars Wendler
2020-06-10 7:06 Miroslav Šulc
2020-06-09 19:46 Mart Raudsepp
2020-04-10 9:48 Sergei Trofimovich
2020-03-02 11:49 Sergei Trofimovich
2020-01-27 13:46 Agostino Sarubbo
2020-01-27 12:33 Mikle Kolyada
2020-01-27 9:33 Sergei Trofimovich
2020-01-27 8:10 Sergei Trofimovich
2020-01-24 15:57 Agostino Sarubbo
2020-01-23 13:40 Agostino Sarubbo
2019-12-19 21:20 Miroslav Šulc
2019-09-14 5:03 Matt Turner
2019-06-20 18:04 Sergei Trofimovich
2019-06-06 20:33 Andreas Sturmlechner
2019-06-06 6:46 Agostino Sarubbo
2019-05-26 11:10 Mikle Kolyada
2019-05-26 11:09 Mikle Kolyada
2019-05-25 17:42 Aaron Bauman
2019-05-24 22:51 Sergei Trofimovich
2019-05-24 22:08 Sergei Trofimovich
2019-05-24 20:18 Sergei Trofimovich
2019-05-22 15:41 Andreas Sturmlechner
2019-05-22 15:41 Andreas Sturmlechner
2019-05-21 21:50 Aaron Bauman
2019-02-18 19:34 Alexis Ballier
2018-12-26 0:04 Lars Wendler
2018-12-23 3:25 Matt Turner
2018-11-24 12:33 Sergei Trofimovich
2018-07-22 1:55 Mikle Kolyada
2018-07-12 19:00 Matt Thode
2018-05-20 11:22 Johannes Huber
2018-05-20 11:22 Johannes Huber
2018-05-20 11:22 Johannes Huber
2018-05-17 13:52 Thomas Deutschmann
2018-05-05 12:52 Sergei Trofimovich
2018-05-01 11:47 Jeroen Roovers
2018-05-01 11:47 Jeroen Roovers
2017-12-21 9:30 Matt Thode
2017-04-28 13:22 Agostino Sarubbo
2017-04-27 10:14 Agostino Sarubbo
2017-04-24 10:52 Pacho Ramos
2017-01-06 9:33 Alexis Ballier
2017-01-06 9:33 Alexis Ballier
2016-11-30 9:25 Alexis Ballier
2015-10-25 12:49 Mikle Kolyada
2015-09-24 12:44 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1444726173.49d0f87fdc86188a64d3221d5e4f5fd3c2a859ff.aballier@gentoo \
--to=aballier@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox